# Common response headers

In addition to [standard HTTP headers,](https://en.wikipedia.org/wiki/List_of_HTTP_header_fields) ColdStack uses additional headers that may be present in responses.

Additional headings are described in the table below, as well as standard headings for which additional explanation is required.

| Heading            | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `ETag`             | <p><a href="https://ru.wikipedia.org/wiki/MD5">MD5 hash of the</a> object, if the object is loaded as a single file. If the object is loaded using a <a href="/pages/-MWtO76juk_huxULp3uu">compound load</a> , then for the calculation <code>ETag</code>it is necessary to obtain the MD5 hash from the sum of the MD5 hashes of the loaded parts (let's call it <code>MD5\_sum</code>) and attach the number of parts ( <code>N</code>): to the resulting string <code>"MD5\_sum-N"</code>.<br><br>Does not include object metadata.</p> |
| `x-amz-request-id` | <p>Unique identifier for the request.<br><br>It may be needed when contacting ColdStack support in case of problems.</p>                                                                                                                                                                                                                                                                                                                                                                                                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/common-response-headers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
